### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xmpmc_intr.c File Reference

## Detailed Description

The implementation of the XMpmc component's functionality that is related to interrupts. See xmpmc.h for more information about the component. The functions that are contained in this file require that the hardware device is built with interrupt support.

Note:
  None

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a mta  02/24/07 First release

## Functions

void | XMpmc_IntrGlobalEnable (XMpmc *InstancePtr)
void | XMpmc_IntrGlobalDisable (XMpmc *InstancePtr)
void | XMpmc_IntrEnable (XMpmc *InstancePtr, u32 Mask)
void | XMpmc_IntrDisable (XMpmc *InstancePtr, u32 Mask)
void | XMpmc_IntrClear (XMpmc *InstancePtr, u32 Mask)
u32 | XMpmc_IntrGetEnabled (XMpmc *InstancePtr)
u32 | XMpmc_IntrGetStatus (XMpmc *InstancePtr)

## Function Documentation

void XMpmc_IntrClear | ( | XMpmc * | InstancePtr,
|  | u32 | Mask
| ) |

Clear pending interrupts with the provided mask. An interrupt must be cleared after software has serviced it or it can cause another interrupt.

Parameters:

  | InstancePtr | is the MPMC component to operate on.
  | Mask | is the mask to clear pending interrupts for. Bit positions of 1 are cleared. This mask is formed by OR'ing bits from XMPMC_IPIXR_*_MASK.

Returns:
  None.

Note:
  This function will assert if the hardware device has not been built with interrupt capabilities.

void XMpmc_IntrDisable | ( | XMpmc * | InstancePtr,
|  | u32 | Mask
| ) |

Disable ECC interrupts so that ECC errors will not cause an interrupt.

Parameters:

  | InstancePtr | is the MPMC component to operate on.
  | Mask | is the mask to disable. Bits set to 1 are disabled. The mask is formed by OR'ing bits from XMPMC_IPIXR_*_MASK.

Returns:
  None.

Note:
  This function will assert if the hardware device has not been built with interrupt capabilities.

void XMpmc_IntrEnable | ( | XMpmc * | InstancePtr,
|  | u32 | Mask
| ) |

Enable ECC interrupts so that specific ECC errors will cause an interrupt. The function XMpmc_IntrGlobalEnable must also be called to enable any interrupt to occur.

Parameters:

  | InstancePtr | is the MPMC component to operate on.
  | Mask | is the mask to enable. Bit positions of 1 are enabled. The mask is formed by OR'ing bits from XMPMC_IPIXR_*_MASK.

Returns:
  None.

Note:
  This function will assert if the hardware device has not been built with interrupt capabilities.

u32 XMpmc_IntrGetEnabled | ( | XMpmc * | InstancePtr | ) |

Returns the interrupt enable mask as set by XMpmc_IntrEnable() which indicates which ECC interrupts are enabled or disabled.

Parameters:

  | InstancePtr | is the MPMC component to operate on.

Returns:
  Mask of bits made from XMPMC_IPIXR_*_MASK.

Note:
  This function will assert if the hardware device has not been built with interrupt capabilities.

u32 XMpmc_IntrGetStatus | ( | XMpmc * | InstancePtr | ) |

Returns the status of interrupts which indicates which ECC interrupts are pending.

Parameters:

  | InstancePtr | is the MPMC component to operate on.

Returns:
  Mask of bits made from XMPMC_IPIXR_*_MASK.

Note:
  The interrupt status indicates the status of the device irregardless if the interrupts from the devices have been enabled or not through XMpmc_IntrEnable().

This function will assert if the hardware device has not been built with interrupt capabilities.

void XMpmc_IntrGlobalDisable | ( | XMpmc * | InstancePtr | ) |

Disable the core's interrupt output signal. Interrupts enabled through XMpmc_IntrEnable() will not occur until the global enable bit is set by XMpmc_IntrGlobalEnable(). This function is designed to allow all interrupts to be disabled easily for entering a critical section.

Parameters:

  | InstancePtr | is the MPMC component to operate on.

Returns:
  None.

Note:
  This function will assert if the hardware device has not been built with interrupt capabilities.

void XMpmc_IntrGlobalEnable | ( | XMpmc * | InstancePtr | ) |

Enable the core's interrupt output signal. Interrupts enabled through XMpmc_IntrEnable() will not occur until the global enable bit is set by this function. This function is designed to allow all interrupts to be enabled easily for exiting a critical section.

Parameters:

  | InstancePtr | is the MPMC component to operate on.

Returns:
  None.

Note:
  This function will assert if the hardware device has not been built with interrupt capabilities.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.